# Jaxer.Exception : Object
Return to: Jaxer Framework index

Exception used by the Jaxer framework.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.Exception Constructor(String info, [Object logger]) : Jaxer.Exception The exception used by the Jaxer framework. At runtime this is available from the window object | Show Details | 1.0 | no

### Jaxer.Exception(String info, [Object logger]) : Jaxer.Exception

The exception used by the Jaxer framework. At runtime this is available from the window object

Parameters

String | info | The descriptive text of the Exception to be thrown, or an Error-derived object
Object | logger | (optional)An optional reference to an instance of the framework logger to be used. A default setting is used if this parameter is omitted

Returns

Jaxer.Exception | An instance of Exception

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
toString() : String Provides a string representation of the Exception description. | Show Details | 1.0 | no

Returns

String | A description of the exception

static toDetails(Object obj) : String Get verbose details on the error | Show Details | 1.0 | no

Parameters

Object | obj | The error object on which details are desired. An attempt is made to convert it into an Error-derived object before details are retrieved.

Returns

String | The detailed description

static toError(Object obj) : Error Returns a JavaScript Error (or Error-derived) object based on the given object | Show Details | 1.0 | no

Parameters

Object | obj | If this is already derived from an Error, it will just be returned. Otherwise it will be stringified and used as the description of the error.

Returns

Error | The Error-derived representation

aptana_docs